poswap(1)

NAME
poswap - Builds a new translation file with the target of the input language as source language.

SYNOPSIS

poswap [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [-x|--exclude EXCLUDE] [-o|--output] OUTPUT [-t|--template TEMPLATE] [--reverse]

DESCRIPTION
Ensure that the two po files correspond 100% to the same pot file before using this. To translate Kurdish (ku) through French::
    po2swap -i fr/ -t ku -o fr-ku To convert the fr-ku files back to en-ku::
    po2swap --reverse -i fr/ -t fr-ku -o en-ku See: http://translate.sourceforge.net/wiki/toolkit/poswap for further examples and usage instructions

OPTIONS

--version
    show program's version number and exit

-h/--help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress
    show progress as: dots, none, bar, names, verbose

--errorlevel
    show errorlevel as: none, message, exception, traceback

-i/--input
    read from INPUT in po, pot formats

-x/--exclude
    exclude names matching EXCLUDE from input paths

-o/--output
    write to OUTPUT in po, pot formats

-t/--template
    read from TEMPLATE in pot, po, pot formats

--reverse
    reverse the process of intermediate language conversion